Bug 433164 - atkbd.c: Unknown key released
atkbd.c: Unknown key released
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://bugzilla.kernel.org/show_bug.c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 22:11 EST by Michal Nowak
Modified: 2013-03-07 21:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 07:12:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 9147 None None None Never

  None (edit)
Description Michal Nowak 2008-02-16 22:11:37 EST
Description of problem:

See %URL text field.

Version-Release number of selected component (if applicable):

Linux dhcp-lab-110.englab.brq.redhat.com 2.6.23.15-137.fc8 #1 SMP Sun Feb 10
17:48:34 EST 2008 i686 i686 i386 GNU/Linux

probably not fixed even in HEAD

How reproducible: occasionally mostly on pressing arrow or PgDown/PgUp keys, but
happens on every key.

Steps to Reproduce:
1. have i8042 I/O controller
2. load battery and/or ac and/or thermal kernel modules
3. see dmesg output
4. atkbd.c appears there + stucked key happens
  
Actual results:

pressed key is not released/catched on sw layer

Expected results:

no stucked keys

Additional info:

I have the HW to test on, others on kernel BZ have it too. I am, and probably
others, might be willing to test patch/kernel release.

Note that in mentioned BZ is the problem described in good depth, dmesgs and
acpidumps are present. 

With this stucked key you are able to delete files in directory inadvertently.

This can be worked around by not using mentioned modules (as, battery and
thermal) but the usage of notebook is then limited.
Comment 1 Michal Nowak 2008-02-16 22:13:34 EST
newman@dhcp-lab-110 ~ $ dmesg | tail -n2
atkbd.c: Unknown key released (translated set 2, code 0xe0 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e060 <keycode>' to make it known.

(I guess the right arrow was pressed that time)
Comment 2 Michal Nowak 2008-04-02 15:07:39 EDT
And now again:

atkbd.c: Unknown key released (translated set 2, code 0xe0 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e060 <keycode>' to make it known.

loaded modules:  ac battery
not loaded:      thermal

Action: arrow down key was stucked, another press unlocked it.
Comment 3 Michal Nowak 2008-07-22 07:37:52 EDT
There's some new progress upstream, you might be interested in:
http://bugzilla.kernel.org/show_bug.cgi?id=9147
Comment 4 Bug Zapper 2008-11-26 04:50:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Michal Nowak 2008-11-26 05:07:20 EST
Thx, for ping BugZappa'. Actually it happened for me last week after ~9 months again. No thermal, ac or battery modules were loaded (they might be compiled in-kernel thought, dunno).
Comment 6 Michal Nowak 2009-06-24 07:12:20 EDT
Didn't seen it for months. Closing.

Note You need to log in before you can comment on or make changes to this bug.